{{log "chatCard-healthAdjust.hbs this" this}}
{{!-- <div class="general-header">{{#if isDamage}}{{localize "ARS.chat.damage" }}{{else}}{{localize "ARS.chat.heal" }}{{/if}}
</div> --}}
<div class="chatCard-hpadjustment">
    <div class="flexrow hpadjustment {{#if isDamage}}hpdamage{{else}}hpheal{{/if}}">
        {{!-- <div class="actor-damage-img">
            {{#if roll.target.document.texture.src}}
                <img src="{{roll.target.document.texture.src}}" width="50" height="50" />
            {{else}}
                {{#if source}}
                    <img src="{{source.img}}" width="50" height="50" />
                {{/if}}
            {{/if}}
        </div> --}}
        {{#if flavor}}
            <div class="dice-flavor">
                {{{flavor}}}
            </div>
        {{!-- {{else}}
            <div></div> --}}
        {{/if}}
        {{!-- <div class="actor-damage-img"></div> --}}
    </div>

    {{> "systems/ars/templates/chat/parts/chatCard-dice-roll.hbs" roll=roll}}

    {{#if targetToken}}
        <div class="card-buttons undoButton" style="{{#if pspDamage}}display: none;{{/if}}" data-source-actor-id="{{sourceActorId}}"
            data-target-token-id="{{targetToken.id}}" data-hp-adjustment="{{adjustment}}" data-is-damage={{isDamage}}>
            <button class="undo-healthadjust" data-action="undo-healthadjust">{{localize "ARS.chat.undo"}}</button>
        </div>
    {{/if}}
</div>